分析クエリが拒否されました
APIは422 Unprocessable Contentの応答で、このエラーを返します。typeはhttps://lingo.dev/docs/api/errors/analytics-query-rejectedです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。
<detail>
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
rule | "emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired" |
path | string[] |
例#
json
{
"detail": "<detail>",
"rule": "emptyQuery",
"path": [
"<path>"
],
"type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
"status": 422,
"title": "Analytics query rejected"
}このエラーを返すエンドポイント#
GET /v2/organizations/{orgId}/analytics/modelsPOST /v2/organizations/{orgId}/analytics/event-propertiesPOST /v2/organizations/{orgId}/analytics/event-property-keysPOST /v2/organizations/{orgId}/analytics/event-volumePOST /v2/organizations/{orgId}/analytics/eventsPOST /v2/organizations/{orgId}/analytics/events-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-answersPOST /v2/organizations/{orgId}/analytics/measurement-answers-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-fieldsPOST /v2/organizations/{orgId}/analytics/measurement-scoresPOST /v2/organizations/{orgId}/analytics/translation-volume